#include <stdio.h>
int main()
{
    int x1,x2,y1,y2,vecix,manjix,veciy,manjiy;
    scanf("%d %d",x1,x2);
    scanf("%d %d",y1,y2);
    if((x1==x2)||(y1==y2))
    printf("2");
    if else((x1==y2)&&(x2==y1))
    printf("1");
    if else((x1==y1)&&(x2==y2))
    printf("1");
    return 0;
}